%define major 7
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	An SSL library
Name:		polarssl
Version:	1.3.9
%define subrel	2
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
URL:		http://polarssl.org
Source0:	http://polarssl.org/code/releases/%{name}-%{version}-gpl.tgz
Patch0:		polarssl-1.3.9-CVE-2015-1182.patch
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:  graphviz
BuildRequires:	pkcs11-helper-devel
BuildRequires:	zlib-devel
BuildRequires:	openssl-devel

%description
PolarSSL is an SSL library written in ANSI C. PolarSSL makes it easy
for developers to include cryptographic and SSL/TLS capabilities in their
(embedded) products with as little hassle as possible. It is designed to be
readable, documented, tested, loosely coupled and portable.

This package contains PolarSSL programs.

%package -n	%{libname}
Summary:	PolarSSL library
Group:		System/Libraries

%description -n	%{libname}
PolarSSL is an SSL library written in ANSI C. PolarSSL makes it easy
for developers to include cryptographic and SSL/TLS capabilities in their
(embedded) products with as little hassle as possible. It is designed to be
readable, documented, tested, loosely coupled and portable.

This package contains the library itself.

%package -n	%{develname}
Summary:	PolarSSL development files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	polarssl-devel = %{version}

%description -n	%{develname}
PolarSSL is an SSL library written in ANSI C. PolarSSL makes it easy
for developers to include cryptographic and SSL/TLS capabilities in their
(embedded) products with as little hassle as possible. It is designed to be
readable, documented, tested, loosely coupled and portable.

This package contains development files.

%prep
%setup -q
%patch0 -p1 -b .CVE-2015-1182

# Enable POLARSSL_THREADING_PTHREAD and POLARSSL_THREADING_C flags
#
# https://bugs.mageia.org/show_bug.cgi?id=15391#c4
sed -i -e 's|.*\(#define POLARSSL_THREADING_C\)|\1|' \
	-e 's|.*\(#define POLARSSL_THREADING_PTHREAD\)|\1|' \
	include/polarssl/config.h

%build
%cmake \
	-DUSE_SHARED_POLARSSL_LIBRARY:BOOL=ON \
	-DUSE_PKCS11_HELPER_LIBRARY:BOOL=ON
%make
%make apidoc

%check
%make check

%install

%makeinstall_std -C build

# prevent possible file clashes
pushd %{buildroot}%{_bindir}
    for i in * ; do mv ${i} polarssl-${i}; done
popd

rm -f %{buildroot}%{_libdir}/*.a

%files
%doc ChangeLog README*
%{_bindir}/polarssl-*

%files -n %{libname}
%{_libdir}/*.so.%{major}*
%{_libdir}/*.so.%{version}

%files -n %{develname}
%doc apidoc/*
%{_libdir}/*.so
%{_includedir}/polarssl



%changelog
* Mon May 04 2015 daviddavid <daviddavid> 1.3.9-1.2.mga4
+ Revision: 821216
- build with POLARSSL_THREADING_PTHREAD and POLARSSL_THREADING_C flags enabled (mga#15391#c4)
- add BuildRequires for graphviz

  + luigiwalser <luigiwalser>
    - add upstream patch to fix CVE-2015-1182
    - 1.3.9 (fixes CVE-2014-8627 and CVE-2014-8628)

  + oden <oden>
    - do not package libpolarssl.a
    - 1.3.8 (fixes CVE-2014-4911)

* Tue Oct 22 2013 umeabot <umeabot> 1.3.1-2.mga4
+ Revision: 546175
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 oden <oden> 1.3.1-1.mga4
+ Revision: 502136
- 1.3.1

* Tue Oct 15 2013 oden <oden> 1.3.0-1.mga4
+ Revision: 500388
- 1.3.0

* Tue Sep 24 2013 oden <oden> 1.2.8-1.mga4
+ Revision: 484752
- 1.2.8 (fixes CVE-2013-4623)
- 1.2.6 fixed CVE-2013-0169, CVE-2013-1621

* Sat Feb 09 2013 oden <oden> 1.2.5-1.mga3
+ Revision: 397517
- 1.2.5 (fixes CVE-2013-1621)

* Fri Jan 18 2013 oden <oden> 1.2.3-1.mga3
+ Revision: 389394
- imported package polarssl


* Fri Jan 18 2013 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-1
- initial Mageia package
